GmagickDraw::settextdecoration
GmagickPixel
GmagickDraw
PHP Manual

# GmagickDraw::settextencoding

(PECL gmagick >= Unknown)

GmagickDraw::settextencoding — Specifies specifies the text code set

### Description

public GmagickDraw GmagickDraw::settextencoding ( string `$encoding` )

Specifies specifies the code set to use for text annotations. The only character encoding which may be specified at this time is "UTF-8" for representing Unicode as a sequence of bytes. Specify an empty string to set text encoding to the system's default. Successful text annotation using Unicode may require fonts designed to support Unicode.

### Parameters

`encoding`

  Character string specifying text encoding

### Return Values

The GmagickDraw object on success

GmagickDraw::settextdecoration
GmagickPixel
GmagickDraw
PHP Manual